使用express+mysql+sequelize编写一个node.js后台
1.接口要求使用标准的restful风格，实现增删改查等操作
2.数据库信息 主机名为'localhost'，数据库的名称为'cms'，用户名为'root'密码为'root'
3.管理的数据库表如下
CREATE TABLE `user` (
    `id` INT(11) NOT NULL AUTO_INCREMENT,
    `name` VARCHAR(255) NOT NULL,
    `avatar` TEXT,
    `userid` VARCHAR(255) UNIQUE NOT NULL,
    `email` VARCHAR(255),
    `signature` TEXT,
    `title` VARCHAR(255),
    `group` TEXT,
    `notifyCount` INT(11),
    `unreadCount` INT(11),
    `country` VARCHAR(255),
    `access` VARCHAR(50),
    `province` VARCHAR(255),
    `city` VARCHAR(255),
    `address` TEXT,
    `phone` VARCHAR(20),
    PRIMARY KEY (`id`)
);

我会引导你一步步的完成工作
第一步先实现基本的框架



CREATE TABLE `resource` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_bin NOT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `icon` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `key` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=COMPACT;

CREATE TABLE `role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=COMPACT;

CREATE TABLE `role_resource` (
  `role_id` int(11) NOT NULL,
  `resource_id` int(255) NOT NULL,
  PRIMARY KEY (`role_id`,`resource_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=COMPACT;

CREATE TABLE `role_user` (
  `role_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`role_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=COMPACT;

4.另外再按如下的内容根据基于用户表实现下列接口，注意我是从chrome浏览器里复制的，所以请求头和响应头会很多，写代码的时候可以精简，只要必要的就可以
第1个是登录接口，
请求头
POST /api/login/account?token%20=%20123 HTTP/1.1
Accept: application/json, text/plain, */*
Accept-Encoding: gzip, deflate, br
Accept-Language: zh-CN,zh;q=0.9
Connection: keep-alive
Content-Length: 78
Content-Type: application/json
Host: localhost:8000
Origin: http://localhost:8000
Referer: http://localhost:8000/user/login?redirect=%2Fwelcome
Sec-Fetch-Dest: empty
Sec-Fetch-Mode: cors
Sec-Fetch-Site: same-origin
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/113.0.0.0 Safari/537.36
sec-ch-ua: "Google Chrome";v="113", "Chromium";v="113", "Not-A.Brand";v="24"
sec-ch-ua-mobile: ?0
sec-ch-ua-platform: "Windows"
响应头
HTTP/1.1 200 OK
X-Powered-By: Express
Access-Control-Allow-Origin: http://localhost:8000
Vary: Origin, Accept-Encoding
Access-Control-Allow-Credentials: true
Content-Type: application/json; charset=utf-8
Content-Length: 59
ETag: W/"3b-z3TadRQK8pJ4CkDAk5yn+nO25zM"
Date: Sun, 20 Aug 2023 10:23:09 GMT
Connection: keep-alive
Keep-Alive: timeout=5
响应体
{"status":"ok","type":"account","currentAuthority":"admin"}

第2个是获取用户信息接口，
请求头
GET /api/currentUser?token%20=%20123 HTTP/1.1
Accept: application/json, text/plain, */*
Accept-Encoding: gzip, deflate, br
Accept-Language: zh-CN,zh;q=0.9
Connection: keep-alive
Host: localhost:8000
If-None-Match: W/"30f-heO0NOaisuYVLUAg5PJXHj9jyG0"
Referer: http://localhost:8000/user/login?redirect=%2Fwelcome
Sec-Fetch-Dest: empty
Sec-Fetch-Mode: cors
Sec-Fetch-Site: same-origin
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/113.0.0.0 Safari/537.36
sec-ch-ua: "Google Chrome";v="113", "Chromium";v="113", "Not-A.Brand";v="24"
sec-ch-ua-mobile: ?0
sec-ch-ua-platform: "Windows"

响应头
HTTP/1.1 304 Not Modified
X-Powered-By: Express
Vary: Origin
Access-Control-Allow-Credentials: true
ETag: W/"30f-heO0NOaisuYVLUAg5PJXHj9jyG0"
Date: Sun, 20 Aug 2023 10:23:09 GMT
Connection: keep-alive
Keep-Alive: timeout=5
响应体
{"success":true,"data":{"name":"Serati Ma","avatar":"https://gw.alipayobjects.com/zos/antfincdn/XAosXuNZyF/BiazfanxmamNRoxxVxka.png","userid":"00000001","email":"antdesign@alipay.com","signature":"海纳百川，有容乃大","title":"交互专家","group":"蚂蚁金服－某某某事业群－某某平台部－某某技术部－UED","notifyCount":12,"unreadCount":11,"country":"China","access":"admin","geographic":{"province":{"label":"浙江省","key":"330000"},"city":{"label":"杭州市","key":"330100"}},"address":"西湖区工专路 77 号","phone":"0752-268888888"}}


修改接口
忽略 token参数，从请求体中获取{"username":"admin","password":"ant.design","autoLogin":true,"type":"account"}，
然后使用用户名密码到数据库表user中查询
router.get('/currentUser', async (req, res) => {
  const token = req.query.token;
  if (!token || token !== '123') {
    return res.status(403).send({
      status: 'error',
      message: 'Invalid token.'
    });
  }
  const user = await db.user.findOne({
    where: {
      userid: "00000001"
    }
  });
  if (!user) {
    return res.status(404).send({
      success: false,
      message: 'User not found.'
    });
  }
  res.send({
    success: true,
    data: {
      name: user.name,
      avatar: user.avatar,
      userid: user.userid,
      email: user.email,
      signature: user.signature,
      title: user.title,
      group: user.group,
      notifyCount: user.notifyCount,
      unreadCount: user.unreadCount,
      country: user.country,
      access: user.access,
      geographic: {
        province: {
          label: user.province,
          key: "330000"
        },
        city: {
          label: user.city,
          key: "330100"
        }
      },
      address: user.address,
      phone: user.phone
    }
  });
});